Skip to content

Share Management

All operations require authentication.

3 operationsv1/storage/nasha
View as Markdown (opens in a new tab)
Agent setup

List sharesBeta

GET
/v1/storage/nasha/{serviceName}/share

Returns the shares of the service. Filter by name or status.

Path parameters

serviceName
required
string

Service name

Query parameters

name
string

Filter by share name

status
string

Filter by share status

Response

200Share[]successful operation
createdAt
read-only
stringdate-time

Share creation date

description
read-only
string

Share description

id
read-only
stringuuid

Share ID

name
read-only
string

Share name

protocol
read-only
ProtocolEnum

Share protocol

ValuesNFS
size
read-only
integer

Share size in GiB

snapshotId
read-only
string

Source snapshot ID used to create the share

status
read-only
NetAppShareStatusEnum

Share status

Valuesavailableawaiting_replicationcreatingcreating_from_snapshotdeleteddeletingerrorerror_deletingextendingextending_errorinactivemanage_errormanage_startingmigratingmigrating_toreplication_changerevertingreverting_errorshrinkingshrinking_errorshrinking_possible_data_loss_errorunmanage_errorunmanage_startingunmanaged

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/share \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "protocol": "NFS", "size": 0, "snapshotId": "string", "status": "available" }]

Get a shareBeta

GET
/v1/storage/nasha/{serviceName}/share/{shareId}

Returns the share, including its size, protocol and status.

Path parameters

serviceName
required
string

Service name

shareId
required
stringuuid

Share ID

Response

200Sharesuccessful operation
createdAt
read-only
stringdate-time

Share creation date

description
read-only
string

Share description

id
read-only
stringuuid

Share ID

name
read-only
string

Share name

protocol
read-only
ProtocolEnum

Share protocol

ValuesNFS
size
read-only
integer

Share size in GiB

snapshotId
read-only
string

Source snapshot ID used to create the share

status
read-only
NetAppShareStatusEnum

Share status

Valuesavailableawaiting_replicationcreatingcreating_from_snapshotdeleteddeletingerrorerror_deletingextendingextending_errorinactivemanage_errormanage_startingmigratingmigrating_toreplication_changerevertingreverting_errorshrinkingshrinking_errorshrinking_possible_data_loss_errorunmanage_errorunmanage_startingunmanaged

Example uses serviceName = string, shareId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/share/{shareId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "protocol": "NFS", "size": 0, "snapshotId": "string", "status": "available"}

Update a shareBeta

PUT
/v1/storage/nasha/{serviceName}/share/{shareId}

Updates the share name and description, the only fields that can be changed.

Path parameters

serviceName
required
string

Service name

shareId
required
stringuuid

Share ID

Request body (required)

description
string

Share description

name
string

Share name

Response

200Sharesuccessful operation
createdAt
read-only
stringdate-time

Share creation date

description
read-only
string

Share description

id
read-only
stringuuid

Share ID

name
read-only
string

Share name

protocol
read-only
ProtocolEnum

Share protocol

ValuesNFS
size
read-only
integer

Share size in GiB

snapshotId
read-only
string

Source snapshot ID used to create the share

status
read-only
NetAppShareStatusEnum

Share status

Valuesavailableawaiting_replicationcreatingcreating_from_snapshotdeleteddeletingerrorerror_deletingextendingextending_errorinactivemanage_errormanage_startingmigratingmigrating_toreplication_changerevertingreverting_errorshrinkingshrinking_errorshrinking_possible_data_loss_errorunmanage_errorunmanage_startingunmanaged

Example uses serviceName = string, shareId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/share/{shareId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "protocol": "NFS", "size": 0, "snapshotId": "string", "status": "available"}